# Class Configuration#restartApplication

Configuration

- Defined in: configuration.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Configuration#restartApplication(successCallback, errorCallback) Restarts the application.

## Class Detail

Configuration#restartApplication(successCallback, errorCallback)
Restarts the application.

    // Javascript code
    function restartApplication () {
      function successCb() {
         console.log("restart success : ");
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var configuration = new Configuration();
      configuration.restartApplication(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.0